Page MenuHomePhabricator

[feature requests] "Protection conflicts" like "edit conflicts"
Open, LowPublic

Description

I hope I am doing this right, it is my first feature request:

When multiple people try to save a page, the MediaWiki software creates an "edit conflict" window to warn them that the page has just been changed.
I would like a similar behavior for protections. For example, this page on Wikipedia was protected four times in a row with the same length: http://en.wikipedia.org/w/index.php?title=Special:Log&page=User_talk%3AEast718
So I think the software should output a warning if 1.) the page has been protected while one was on the protection page or 2.) one chose the same protection level that already is applied (e.g. if it's already indef protected, selecting indef protection should generate a warning).

Regards
SoWhy


Version: 1.14.x
Severity: enhancement

Details

Reference
bz16441
Related Gerrit Patches:

Related Objects

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:27 PM
bzimport set Reference to bz16441.
bzimport added a subscriber: Unknown Object (MLST).
SoWhy created this task.Nov 23 2008, 7:41 PM

Amalthea.wikimedia wrote:

Personally, I think it should trigger the conflict if the page was touched at all since opening the form because the basis for the action might changed or gone.

It's actually more important that the API offers such a conflict protection. Often a number of such actions are batched, and will be processed based on outdated information. It should allow guarding against such protection/deletion conflicts if the timestamp of the last revision is passed in, just like it does with editing.

It might be prudent to allow overriding the conflict in the webform as well, otherwise Bad People could theoretically prevent protection/deletion of a page through distributed high-frequency editing.

I agree with Amalthea.

To make it like "edit":

  • If the new settings are equal to the current settings, ignore it (aka "null edit") (with same I mean: same protection and same end date. Duration may differ.)
  • If settings are not the same, and between the current time and wpStarttime (time of opening form page) was a 'protect' action on this page, show the new 'protection conflict' page.

Krinkle

  • Bug 42854 has been marked as a duplicate of this bug. ***

Change 214634 had a related patch set uploaded (by Ricordisamoa):
log_id-based "protection conflicts", like "edit conflicts"

https://gerrit.wikimedia.org/r/214634

gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 4 2015, 3:18 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Jun 11 2015, 4:48 PM

@gpaumier The patch has not been merged yet... should I remove Notice?

@gpaumier The patch has not been merged yet... should I remove Notice?

No, it's been triaged in Notice, and it's in "don't ready" in User-notice, so all is good :)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2016, 6:15 PM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 6:03 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 6:02 PM

This feature was just requested again on dewiki (Permalink).

Are there plans to implement this any time soon?

Aklapper added a comment.EditedNov 14 2019, 11:50 PM

@Count_Count: Someone needs to volunteer to fix (and manually rebase) the proposed code change in https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/214634/ - see https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change_.28your_own_or_someone_else.27s.29 if you are interested.

Not sure if @Ricordisamoa is still working on this?

@Count_Count: Someone needs to volunteer to fix (and manually rebase) the proposed code change in https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/214634/ - see https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change_.28your_own_or_someone_else.27s.29 if you are interested.
Not sure if @Ricordisamoa is still working on this?

Hi @Aklapper thank you for your quick response! I would be very thankful, if you could fix this problem. I asked for it in Germay Wikipedia and thankfully Count Count rediscovered and reopened this task.

Even though you may not get many inquiries about this problem in the phabricator, it is a relatively common problem that regularly (maybe once a day) causes admins to override one another when protecting pages.

Therefore, it would be great if there was a kind of warning or hint, if there was already a page protection by another admin, such as locking users.

Hi @Aklapper, I've never done something like this before. These are my first two edits in phabricator. I don't know what to do. Could you help me please? Thank you very much.

@Toni_Mueller: Hi, please see https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker and use that talk page if you have general questions about developing code. Thanks.

Hi @Aklapper , This is very friendly of you, but I am neither a programmer nor do I have any idea of ​​such technical things, so this link does not help me any further.